package com.sun.org.apache.xerces.internal.dom;

import org.w3c.dom.DocumentType;
import org.w3c.dom.DOMImplementation;

public class PSVIDOMImplementationImpl extends DOMImplementationImpl
{
    static final PSVIDOMImplementationImpl singleton;
    
    public PSVIDOMImplementationImpl() {
    }
    
    public static DOMImplementation getDOMImplementation() {
        return PSVIDOMImplementationImpl.singleton;
    }
    
    @Override
    public boolean hasFeature(String feature, String version) {
        return super.hasFeature(feature, version) || feature.equalsIgnoreCase("psvi");
    }
    
    @Override
    protected CoreDocumentImpl createDocument(DocumentType doctype) {
        return new PSVIDocumentImpl(doctype);
    }
    
    static {
        singleton = new PSVIDOMImplementationImpl();
    }
}
